%define module	Geography-Countries
%define name	perl-%{module}
%define version 1.4
%define release %mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Maps 2-letter, 3-letter, and numerical codes for countries
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Ceography/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module maps country names, and their 2-letter, 3-letter and
numerical codes, as defined by the ISO-3166 maintenance agency,
and defined by the UNSD.


%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%{perl_vendorlib}/Geography
%{_mandir}/*/*




%changelog
* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4-5mdv2008.1
+ Revision: 180404
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Jan 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-4mdv2007.0
+ Revision: 113985
- rebuild
- Import perl-Geography-Countries

* Mon Jan 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-3mdk
- spe cleanup
- rpmbuildupdate aware
- %%mkrel
- enable tests
- better URL

* Fri Jan 21 2005 Abel Cheung <deaddog@mandrake.org> 1.4-2mdk
- rebuild

